Download it now!
Bug 122016 - GTK3: Crash closing LibreOffice in full screen mode with notebookbar enabled
Summary: GTK3: Crash closing LibreOffice in full screen mode with notebookbar enabled
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: wantBacktrace
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-12-11 00:12 UTC by Xisco Faulí
Modified: 2018-12-14 16:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-11 00:12:57 UTC
Steps to reproduce:
1. Open Writer
2. View - Full Screen ( Ctrl + Shift + J )
3. Show the menu
4. Close
-> Crash

In Gen or GTK the menu can't be displayed in full screen mode

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: fcc76610649a9830859f9e2efe2a06dbc6db74da
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-12-11 00:25:33 UTC
Also reproduced in

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 2 Xisco Faulí 2018-12-11 00:28:01 UTC
@Caolán, I thought you could be interested in this issue...
Comment 3 Caolán McNamara 2018-12-13 13:36:10 UTC
I think I can make it not crash
Comment 4 Commit Notification 2018-12-13 14:12:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a32059cfd1fa12eeb93b1ed3079ded0ce42deef6%5E%21

Resolves: tdf#122016 crash accessing deleted GtkSalMenu

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-12-13 14:13:26 UTC
shouldn't crash now
Comment 6 Commit Notification 2018-12-13 16:49:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4107e1c4268811623a4620eb30264b210a2acdab%5E%21

Resolves: tdf#122016 crash accessing deleted GtkSalMenu

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-12-14 16:42:48 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 12e878d3b5e8a59079811c36b7c89e588266dd0e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!